Subject: RE: Mobility in Nodes Requirements

From: "Bound, Jim" <[email-masked]>
Date: Wed, 19 Mar 2003 01:12:42 -0500

John,

> Jim,
> > >    Hosts MAY support mobile node functionality.
> > 
> > This should be SHOULD.  The changing specs are not or can 
> be an issue 
> > but this document is riddled with changing specs.
> 
> I don't believe that servers, for example, need to implement 
> mobile node functionality.  If a node is fixed and will not 
> move, what use is mobile node functionality?

A server in a helicopter or plane is mobile for a few applications.  I
understand I am trying to make a point that this exercise needs to be
focused on more than the term "node".

> 
> > >    Hosts SHOULD support route optimization requirements for
> > >    correspondent nodes. Routers do not need to support route
> > >    optimization.
> > > 
> > >    Routers MAY support home agent functionality.
> > 
> > Routers SHOULD support the HA is correct effort.  Otherwise
> > MIPv6 don't work.
> 
> Not all routers need to be Home Agents  I don't believe that 
> plain, vanilla routers will be affected by home agent functionality.

Routers that implement MIPv6 SHOULD support HAs.  Again context is
everything.

Thanks
/jim
> John

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Pekka Savola <[email-masked]>
Date: Wed, 19 Mar 2003 08:23:58 +0200 (EET)

> focused on more than the term "node".

Such is hardly a minimal or even typical case of IPv6.

> Routers that implement MIPv6 SHOULD support HAs.  Again context is

There requirement:

  Routers SHOULD support the requirements set for all IPv6 routers.

basically only means the support of new RA intervals and such "trivial" 
changes -- which enable smoother first-hop-router to 
MN's-in-foreign-networks scenario.  Requiring HA is entirely different 
issue.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

---

From: Jari Arkko <[email-masked]>
Date: Wed, 19 Mar 2003 18:56:39 +0200

> MN's-in-foreign-networks scenario.  Requiring HA is entirely different 

This is correct. There are indeed two issues, see Sections 8.3 and 8.4
in the mobile ipv6 specification.

As to the requirement to support HAs in all routers... I don't have
a strong opinion but I kind of like the MAY. This is because I
usually prefer features selling themselves for their benefits,
rather than due to them being mandatory in some standard...

Jari